#!/bin/sh

# Manage keyboard disposition if TypeMatrix keyboard is available.

TM_ID="1e54:2030"

TM_AVAILABLE=$(lsusb | grep -i -- "$TM_ID")

if [ "${TM_AVAILABLE}" ]; then
	setxkbmap -model tm2030USB -layout fr -variant bepo
else
	setxkbmap -model pc104 -layout fr -variant bepo
fi

exit 0
